Get All Kiosks

Purpose

To retrieve all the available Kiosks in Zoho CRM. 

The response returns metadata about each kiosk, including its version information, associated module, current status, creator and modifier details, and record context (if configured).

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • GET /settings/kiosks

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.READ
or
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON

The kiosks JSON array represents the list of Kiosk records returned in the response.

  • created_timestring

    Represents the date and time at which the Kiosk was created, in ISO 8601 format.

  • version_detailsJSON object

    Represents the version information of the Kiosk.

    • parent_idstring

      Represents the unique ID of the parent version from which the current Kiosk version was derived.

    • version_numberinteger

      Represents the version number of the Kiosk.

  • moduleJSON object

      Represents the Kiosk module, similar to other CRM modules such as Leads and Contacts.

    • api_namestring

       Represents the API name of the Kiosk. The Kiosk's name is used as its API name.

    • idstring

       Represents the unique ID of the Kiosk module.

  • descriptionstring

    Represents the description of the Kiosk.

  • created_byJSON object

    Represents the details of the user who created the Kiosk.

    • namestring

      Represents the name of the user.

    • idstring

      Represents the unique ID of the user.

  • sequence_numberinteger

    Represents the display order of the Kiosk in the UI.

  • modified_timestring

    Represents the date and time when the Kiosk was last modified, in ISO 8601 format.

  • group_idstring

    Represents the unique identifier of the Kiosk group. All versions such as draft, active, and inactive of the same Kiosk share the same group_id.

  • current_record_moduleJSON object

    Represents the module configured as the Kiosk's Current Record context. All operations that use the Current Record, such as field references, criteria evaluation, GetRecords, and actions, are performed on records from this module.

    • plural_labelstring

      Represents the display label of the module.

    • api_namestring

      Represents the API name of the module.

    • idstring

      Represents the unique ID of the module.

  • associatedBoolean

    Represents whether the Kiosk is associated with a supported location, such as the Record Details View or other supported locations. It does not represent cross-module associations.

    Possible values: 

    true -Represents that the Kiosk is associated with one or more supported locations.

    false - Represents that the Kiosk is not associated with any supported locations.

  • namestring

    Represents the name of the Kiosk.

  • modified_byJSON object

    Represents the details of the user who last modified the Kiosk.

    • namestring

      Represents the name of the user who modified the Kiosk.

    • idstring

      Represents the unique ID of the user who modified the Kiosk.

  • idstring

    Represents the unique identifier of the Kiosk.

  • statusstring

    Represents the current status of the Kiosk.
    Possible values: draft, active, inactive.

  • group_api_namestring

    Specifies a unique API name that is shared across all versions of the Kiosk (draft and published) to maintain a consistent API name.

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to retrieve all available Kiosks in Zoho CRM. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "kiosks": [
        {
            "created_time": "2026-04-07T01:00:49-07:00",
            "version_details": {
                "parent_id": null,
                "version_number": 1
            },
            "module": {
                "api_name": "Email_Feedback",
                "id": "5725767000009995093"
            },
            "description": "To receive Email related Feedback through this Kiosk",
            "created_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "sequence_number": 1,
            "modified_time": "2026-04-07T01:00:49-07:00",
            "group_id": "5725767000009999158",
            "current_record_module": null,
            "associated": false,
            "name": "Email Feedback",
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "id": "5725767000009995093",
            "status": "draft",
            "group_api_name": "Email_Feedback"
        },
        {
            "created_time": "2026-04-07T23:15:19-07:00",
            "version_details": {
                "parent_id": null,
                "version_number": 1
            },
            "module": {
                "api_name": "Employee_Details",
                "id": "5725767000010015021"
            },
            "description": null,
            "created_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "sequence_number": 2,
            "modified_time": "2026-04-07T23:21:57-07:00",
            "group_id": "5725767000010016086",
            "current_record_module": null,
            "associated": false,
            "name": "Employee Details",
            "modified_by": {
                "name": "Patricia Boyle",
                "id": "5725767000000411001"
            },
            "id": "5725767000010015021",
            "status": "draft",
            "group_api_name": "Employee_Details"
        },
        ...
    ]
}